<%@ Application Language="C#" %>

<script runat="server" >
public void Session_Start(object sender, EventArgs e)
{
	if(Application["appDir"]==null)
	{
			AquaforestTIFFServer.AquaforestTIFFServer t=null;

            try
            {
                t = new AquaforestTIFFServer.AquaforestTIFFServer();
            }
            catch (Exception ex)
            {
                Response.Write("Could not initiate AquaforestTIFFServer.<BR>  Please check that install.wsf has been run and the IIS application pool is configured to enable 32-bit applications.<BR>");
                Response.Write("Error Detail : " + ex.Message);
                Response.End();
            }
            
			if(t!=null)Application["appDir"]=t.appDir;

	}		
}
public void Session_End(object sender, EventArgs e)
{
	try
	{ 
		string tempDir=Application["appDir"]+"/temp/"+Session.SessionID;
		
		// Clear Any Residual Temporary Files
		
		if (System.IO.Directory.Exists(tempDir)) 
		{
				System.IO.Directory.Delete(tempDir, true);
		} 
	}
	catch(System.Exception ex)
	{
			System.IO.TextWriter tw = new System.IO.StreamWriter(Application["appDir"]+"\\logs\\tslog.txt",true);

            tw.WriteLine(DateTime.Now+" : "+ex);

            tw.Close();
	}
		
}
</script>